Skip to content
Open the portal
Developer docs

Approve Notice

POST
/v1/notices/{notice_id}/approve
curl --request POST \
--url https://example.com/v1/notices/example/approve \
--header 'Content-Type: application/json' \
--data '{ "approver": "example", "authority": "example", "comment": "example" }'
notice_id
required
Notice Id
string
Media typeapplication/json
ApproveIn
object
approver
required
Approver
string
>= 1 characters
authority
Any of:
string
comment
Any of:
string
Examplegenerated
{
"approver": "example",
"authority": "example",
"comment": "example"
}

Successful Response

Media typeapplication/json
Response Approve Notice V1 Notices Notice Id Approve Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}